Skip to content

LegalOn API (1.3.1)

API documentation for LegalOn services

Languages
Servers
The server URL is `{api_base_url}/rest/v1`. You can construct the server URL using the value of `api_base_url` provided in the response when obtaining an access token.
https://{api_base_url_without_scheme}/rest/v1

Users

Operations about user

Operations

User Groups

Operations about user group

Operations

Workspaces

Operations about all tenant workspaces/folders regardless of the user's access permissions.

Operations

Departments

Operations about department

Operations

Contracts(Files)

Operations to create, retrieve, update, and delete contracts. For operations that target a workspace, specify a workspace_id obtained via the common Workspaces endpoint (GET /workspaces).

Operations

Delete a contract version

Request

Deletes the specified contract version.

Security
OAuth2ClientCredentials
Path
document_idstring(uuid)required

Contract document ID

document_version_idstring(uuid)required

Contract version ID

curl -i -X DELETE \
  'https://{api_base_url_without_scheme}/rest/v1/contracts/{document_id}/versions/{document_version_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

No Content

Response
No content

Link an existing non-contract file to a contract

Request

Links an existing non-contract related file to the specified contract. The related file can be created with POST /files and can also be linked to a matter.

Security
OAuth2ClientCredentials
Path
document_idstring(uuid)required

Contract document ID

Bodyapplication/jsonrequired

Existing file link request payload

related_file_idstring(uuid)required

Non-contract related file ID to link. The same ID is returned as related_file_id in the success response and is used by unlink operations.

curl -i -X POST \
  'https://{api_base_url_without_scheme}/rest/v1/contracts/{document_id}/related-file-links' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "related_file_id": "00000016-0000-0000-0001-100000000301"
  }'

Responses

OK

Bodyapplication/json
document_idstring(uuid)required

Contract document ID

related_file_idstring(uuid)required

Non-contract related file ID

Response
application/json
{ "document_id": "00000016-0000-0000-0001-100000000001", "related_file_id": "00000016-0000-0000-0001-100000000301" }

Matters

Operations to create, retrieve, update, and delete matters. Matter operations require an API credential owned by a user with a Matter Management Pro license.

Operations

Files

Operations to create and manage files for LegalOn resources.

Operations

Workspaces

Workspaces/folders are the common units used to store and organize resources such as contracts.

Operations